Subject: Re: [PATCH] ppc32: add CONFIG_HZ

From: Marcelo Tosatti <[email-masked]>
Date: Wed, 7 Sep 2005 22:04:28 -0300

On Fri, Aug 26, 2005 at 02:31:44PM -0700, Tom Rini wrote:
> On Fri, Aug 26, 2005 at 04:13:04PM -0400, Dan Malek wrote:
> > 
> > On Aug 26, 2005, at 3:15 PM, Kumar Gala wrote:
> > 
> > >While ppc32 has the CONFIG_HZ Kconfig option, it wasnt actually being
> > >used. Connect it up and set all platforms to 250Hz.  This pretty much
> > >mimics the ppc64 patch from Anton Blanchard.
> > 
> > Why do we keep cranking up this clock frequency?  Do we really need
> > it running that fast?  Is it time for someone with RTOS experience to
> > implement a real scheduled clock queue in Linux instead of just
> > wasting interrupts decrementing a counter waiting for the next
> > event to expire?  :-)  If the user "ticks" are still 100 Hz, don't we 
> > need
> > something that is an integer multiple of that for at least an attempt
> > at getting it close to what a user would request?
> 
> So 250 is supposed to be the best choice of power vs latency and such.
> But hey, there's nothing stopping us from setting all of the embedded
> configs back down to 100 :)

Yep. 

Kumar, can you please change your patch to make CONFIG_8xx use 100Hz?

There was a significant performance increase from doing that (vs 1000Hz)
on a 48Mhz 8xx with small cache.